OpenLiteSpeed v1.4.29 Now Available

Discussion in 'OpenLiteSpeed News' started by lslisa, Jan 11, 2018.

  1. lslisa

    lslisa Administrator

    Greetings!

    OpenLiteSpeed v1.4.29 was released today.

    In this release: new SMART SERVER PUSH feature, ModSecurity module, support for LSCWP crawler, bug fixes, and more!

    Full release log:

    Server Core
    [New] "SMART SERVER PUSH" feature which prevents the server from unnecessarily re-pushing URLs to a client.
    [Update] Added support for setting multiple module params or rewrite rules without requiring the use of here document syntax ( <<< ).
    [Update] Upgraded module parameter parsing to support multiple lines using ",', or ` as the starting/ending flag.
    [Update] VHosts can now inherit SERVER level defined PHP with it's own user/group.
    [Bug Fix] Fixed a bug where a module could be missing an init function, causing it to not be loaded.
    [Bug Fix] Fixed an HTTP2 bug where a window size of 64K would be used when set to 256K.
    [Bug Fix] Fixed a bug where a module's config would not be initialized correctly when module parameters where not provided at the SERVER level.
    [Bug Fix] Fixed a bug where sometimes no server response would be received when handling small PHP scripts, causing a timeout error.
    [Bug Fix] Fixed a bug when setting vary ENV which caused the vary value to not work as intended.
    [Bug Fix] Fixed a bug preventing server state from being reset properly when using a keep-alive connection.

    PageSpeed Module
    [Update] If gcc version is higher than 4.8, PSOL v1.11.33.4 lib is now used.

    Cache Module
    [Update] Update cache module to support the LSCache for WordPress Plugin crawler.
    [Bug Fix] Fixed a bug of where "ismobile" was not being handled correctly.

    ModSecurity Module
    [New] Initial Release! See our Installation Guide.

    http://open.litespeedtech.com/mediawiki/index.php/Release_Log/1.x#V1.4.28_.29Stable.29

    Enjoy!
     
  2. hafriz

    hafriz New Member

    hi islisa, may i know when it will be available on ubuntu RPM ?
     
  3. lslisa

    lslisa Administrator

    Hi, hafriz

    Apologies for the delay. It should be available now. Use the following command:

    Code:
    apt-get update && apt-get upgrade
    Let us know if you run into any trouble!
    Lisa
     
  4. hafriz

    hafriz New Member

    Hi lslisa,

    Thanks a lot, upgrading now!
     
    lslisa likes this.

Share This Page